> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/korean/development/api-reference/enums/proximitypromptexclusivity.md).

# ProximityPromptExclusivity

## Overview

ProximityPromptExclusivity는 ProximityPrompt의 표시 독점성을 나타내는 Enum입니다.

플레이어가 여러 ProximityPrompt에 동시에 접근했을 때, 어떤 프롬프트를 표시할지에 대한 규칙을 정의합니다.

## Items

| Name         | Value | Description                                  |
| ------------ | ----- | -------------------------------------------- |
| OnePerButton | 0     | 동일한 버튼 키를 사용하는 ProximityPrompt 중 하나만 표시됩니다.  |
| OneGlobally  | 1     | 플레이어 주변에서 ProximityPrompt 중 하나만 전역적으로 표시됩니다. |
| AlwaysShow   | 2     | 범위 내의 모든 ProximityPrompt가 항상 표시됩니다.          |

## See also

{% content-ref url="/pages/tKGxkSWby8ls9WDqYnw1" %}
[ProximityPrompt](/korean/development/api-reference/classes/proximityprompt.md)
{% endcontent-ref %}

{% content-ref url="/pages/3qRdvCDaG1VaWFz4sKFL" %}
[ProximityPromptService](/korean/development/api-reference/classes/proximitypromptservice.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/enums/proximitypromptexclusivity.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
